Eclipse Platform Release 3.7

## org.eclipse.osgi.framework.console
Interface CommandProvider

    public interface CommandProvider

When an object wants to provide a number of commands to the console, it should register an object with this interface. Some console can then pick this up and execute command lines. The SERVICE_RANKING registration property can be used to influence the order that a CommandProvider gets called. Specify a value less than Integer.MAXVALUE, where higher is more significant. The default value if SERVICE_RANKING is not set is 0.

The interface contains only methods for the help. The console should use inspection to find the commands. All public commands, starting with a '_' and taking a CommandInterpreter as parameter will be found. E.g.

     public Object _hello( CommandInterpreter intp ) {
     return "hello " + intp.nextArgument();
     }

Clients may implement this interface.

Since:
  3.1

Method Summary
`String` `getHelp()` Answer a string (may be as many lines as you like) with help texts that explain the command.

Method Detail

### getHelp

    String getHelp()

  Answer a string (may be as many lines as you like) with help texts that explain the command.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.